
%global meadversion 1.0.6
%global namedversion 1.0.6.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1

%bcond_without mead

%global mavengroup org.jboss.spec.javax.el
%global artifact0 %{name}

%global title Expression Language 2.2 API

%define maven_version 1.0.6.Final-redhat-1

Name:           jboss-el-api_2.2_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        %{title}
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: jboss-el-api_2.2_spec-1.0.6.Final-redhat-1-scm-sources.zip
Source102: jboss-el-api_2.2_spec-1.0.6.Final-redhat-1-project-sources.tar.gz
Source103: jboss-el-api_2.2_spec-1.0.6.Final-redhat-1.jar
Source104: jboss-el-api_2.2_spec-1.0.6.Final-redhat-1-javadoc.jar
Source105: jboss-el-api_2.2_spec-1.0.6.Final-redhat-1-sources.jar
Source106: jboss-el-api_2.2_spec-1.0.6.Final-redhat-1.pom
%endif

URL:            https://github.com/jboss/jboss-el-api_spec/
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Expression Language 2.2 API classes.


%if %without mead
%package javadoc
Summary:        Javadoc for %{title}
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description javadoc
API documentation for %{title}.
%endif

%prep
%setup -q -n jboss-el-api_spec -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}.jar %{buildroot}%{_javadir}/%{artifact0}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{artifact0}-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{artifact0}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom

# depmaps
%add_to_maven_depmap %{mavengroup} %{artifact0} %{namedversion} JPP %{artifact0}

%if %without mead
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__unzip} -qq %{_sourcedir}/%{artifact0}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/META-INF
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README
%{_javadir}/%{artifact0}-%{namedversion}.jar
%{_javadir}/%{artifact0}.jar
%exclude %{_javadir}/%{artifact0}-%{namedversion}-javadoc.jar
%exclude %{_javadir}/%{artifact0}-javadoc.jar
%{_javadir}/%{artifact0}-%{namedversion}-sources.jar
%{_javadir}/%{artifact0}-sources.jar
%{_mavenpomdir}/JPP-%{artifact0}.pom
%{_mavendepmapfragdir}/%{name}

%if %without mead
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%{_javadir}/%{artifact0}-%{namedversion}-javadoc.jar
%{_javadir}/%{artifact0}-javadoc.jar
%endif

%changelog
* Tue Apr 12 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.6-1.Final_redhat_1.1
- Upgrade to 1.0.6.Final

* Mon May 04 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.5-1.Final_redhat_1.1
- Upgrade to 1.0.5.Final

* Fri Mar 14 2014 Lin Gao <lgao@redhat.com> - 1.0.4-2.Final_redhat_1.1
- Rebuild wrapperRPM

* Fri Mar 14 2014 Lin Gao <lgao@redhat.com> - 1.0.4-2.Final_redhat_1
- Change Version to %%{meadversion} and Release to %%{serial}%%{meadalpha}%%{meadrel}%%{?dist}
- Delete unecessary macro definitions
- Use %%{namedversion} which is predefined by new format
- Added (B)R jpackage-utils, in rhel7 building, it is not installed by default.

* Thu Mar 13 2014 Paul Gier <pgier@redhat.com> - 1.0.4-1.Final_redhat_1.1
- Upgrade to 1.0.4.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-2.Final_redhat_1
- Rebuild for MD5

* Tue Aug 21 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.2-1.Final_redhat_1
- Upgrade to 1.0.2.Final

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:1.0.1-2.Final_redhat_2
- Update pom patch for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-1.Final_redhat_2.2
- Rebuild unsigned

* Fri Jul 20 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-1.Final_redhat_1.1
- Rebuild using cache signing

* Wed May 02 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.1-1.Final_redhat_1
- Upgrade to 1.0.1.Final

* Tue Mar 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-6.Final_redhat_2
- Populate java-signed

* Tue Mar 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-6.Final_redhat_1
- Fix install path

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:1.0.0-5_redhat_1
- Rebuild to use new signing key

* Fri Feb 03 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.0.0-4_redhat_1
- Resign with new signature
- Build wrapper separately

* Wed Sep 07 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.0-3_redhat_1
- Rebuild from git repository
- Removed non-MEAD stuff from spec file
- Included regular javadoc and sources RPMs

* Thu Sep 01 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.0-2_redhat_1
- Fixed pom version back

* Tue Aug 23 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.0-1_redhat_1
- Build for Werewolf

* Fri Jul 29 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.0-1
- Adapt for EAP 6
- no repolib when building with MEAD

* Thu May 26 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-1
- Adapted from jboss-jaxrpc_1.1_spec
